Subject: bug#30745: 26.0.91; ert should macros nest strangely

From: Philipp Stephani <[email-masked]>
Date: Sun, 29 Nov 2020 11:35:43 +0100

Am Di., 25. Juni 2019 um 00:54 Uhr schrieb Noam Postavsky <[email-masked]>:
>
> Lars Ingebrigtsen <[email-masked]> writes:
>
> > Noam Postavsky <[email-masked]> writes:
> >
> >> I have a patch for ert which removes it's (ab)use of the debugger, it
> >> seems to fix this case (and also Bug#11218).  Note that it relies on my
> >> patch in #24618 for a catch-all condition-case handler clause.
> >
> > #24618 was fixed a few weeks later, but this patch was never applied?
>
> The main blocker for this is the other thing:
>
> >> But it bumps into another bug lurking in process.c, which just happened
> >> to work okay previously because ert would bind debug-on-error while
> >> running tests.
>

How many tests (besides the jsonrpc one) do we expect to be broken due
to this? It seems that tests relying on such a bug are inherently
brittle, so maybe we can bite the bullet and apply the patch
nevertheless? Or introduce another hack in process.c that treats ERT
tests specially, as if debug-on-error were bound?